# DataExchange
TKSTEPBase
StepShape

# StepShape_ExtrudedFaceSolid Class Reference

`#include <StepShape_ExtrudedFaceSolid.hxx>`

Inheritance diagram for StepShape_ExtrudedFaceSolid:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_ExtrudedFaceSolid ()
| Returns a ExtrudedFaceSolid .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_FaceSurface)&aSweptArea)
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_FaceSurface)&aSweptArea, const Handle(StepGeom_Direction)&aExtrudedDirection, const Standard_Real aDepth)
Standard_EXPORT void | SetExtrudedDirection (const Handle(StepGeom_Direction)&aExtrudedDirection)
Standard_EXPORT Handle_StepGeom_Direction | ExtrudedDirection () const
Standard_EXPORT void | SetDepth (const Standard_Real aDepth)
Standard_EXPORT Standard_Real | Depth () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Direction | extrudedDirection
Standard_Real | depth

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ExtrudedFaceSolid::StepShape_ExtrudedFaceSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StepShape_ExtrudedFaceSolid::Depth | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Direction StepShape_ExtrudedFaceSolid::ExtrudedDirection | ( |  | ) | const

Standard_EXPORT const StepShape_ExtrudedFaceSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_SweptFaceSolid.

Standard_EXPORT void StepShape_ExtrudedFaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_FaceSurface)& | aSweptArea,
|  | const Handle(StepGeom_Direction)& | aExtrudedDirection,
|  | const Standard_Real | aDepth
| ) |

virtual Standard_EXPORT void StepShape_ExtrudedFaceSolid::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_FaceSurface)& | aSweptArea
| ) | `[virtual]`

| Reimplemented from StepShape_SweptFaceSolid.

Standard_EXPORT void StepShape_ExtrudedFaceSolid::SetDepth | ( | const Standard_Real | aDepth | ) |

Standard_EXPORT void StepShape_ExtrudedFaceSolid::SetExtrudedDirection | ( | const Handle(StepGeom_Direction)& | aExtrudedDirection | ) |

## Field Documentation

Standard_Real StepShape_ExtrudedFaceSolid::depth `[private]`

Handle_StepGeom_Direction StepShape_ExtrudedFaceSolid::extrudedDirection `[private]`

The documentation for this class was generated from the following file:

- StepShape_ExtrudedFaceSolid.hxx